<?php

namespace App\Modules\OfficialAccount\Models;

use Illuminate\Database\Eloquent\Model;
use DB;
class WechatTemplates extends Model
{
    protected $tables = 'wechat_templates';

    protected $fillable = ['appid','common_template_id','template_id'];

    /**
     * 根据appid获取公众号
     */
    static function wechatTemplateByAppidAndTemplateId($appid,$common_template_id)
    {
        
       	return self::where(['appid'=>isset($appid) ? $appid : '','common_template_id'=>isset($common_template_id) ? $common_template_id : ''])->first();
    
    }
    
    /**
     * 更新模板id
     */
    static function updateWechatTemplateId($appid,$common_template_id,$template_id)
    {
    	return DB::table('wechat_templates')->where(['appid'=>$appid,'common_template_id'=>$common_template_id])->update(['template_id'=>$template_id,'updated_at'=>date('Y-m-d H:i:s')]);
    }

   	function WechatTemplateMsg(){

   		return $this->hasOne('App\Modules\OfficialAccount\Models\WechatTemplateMsgs','template_id','template_id');
	
  	}

    function wechatPublicTemplates(){

        return $this->hasOne('App\Modules\OfficialAccount\Models\WechatPublicTemplates','common_template_id','common_template_id');
    
    }


    // function wechatPublicTemplates(){

    //     return $this->hasOne('App\Modules\OfficialAccount\Models\WechatPublicTemplates','common_template_id','common_template_id');
    
    // }


}


